Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.geoloc
Class GeolocSearchEngine

    java.lang.Object
      com.gisgraphy.domain.geoloc.service.geoloc.GeolocSearchEngine

All Implemented Interfaces:
  IGeolocSearchEngine, IQueryProcessor<GeolocQuery>

    public class GeolocSearchEngine

extends java.lang.Object
implements IGeolocSearchEngine

Default (threadsafe) implementation of `IGeolocSearchEngine`.

Author:
  David Masclet

Field Summary
`protected static org.slf4j.Logger` | `logger` The logger

Constructor Summary
`GeolocSearchEngine()`

Method Summary
`void` | `executeAndSerialize(GeolocQuery query, java.io.OutputStream outputStream)` Execute the query and serialize the results in an `OutputStream`.
`GeolocResultsDto` | `executeQuery(GeolocQuery query)` Execute the query and returns a `GeolocResultsDto`
`java.lang.String` | `executeQueryToString(GeolocQuery query)` Execute the query and returns the results as String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

  The logger

Constructor Detail

### GeolocSearchEngine

    public GeolocSearchEngine()

Method Detail

### executeQuery

    public GeolocResultsDto executeQuery(GeolocQuery query)
                                  throws ServiceException

  Description copied from interface: `IGeolocSearchEngine`
  Execute the query and returns a `GeolocResultsDto`

  Specified by:
    `executeQuery` in interface `IGeolocSearchEngine`
  Parameters:
    `query` - The GeolocQuery to execute
  Returns:
    The Java Objects. Never return null but an empty list
  Throws:
    `ServiceException` - If an error occurred

### executeAndSerialize

    public void executeAndSerialize(GeolocQuery query,
                                    java.io.OutputStream outputStream)
                             throws ServiceException

  Description copied from interface: `IQueryProcessor`
  Execute the query and serialize the results in an `OutputStream`. It is thread safe and can be used in a servlet container (e.g : serialize on an `HttpResource`'s `OutputStream`

  Specified by:
    `executeAndSerialize` in interface `IQueryProcessor<GeolocQuery>`
  Parameters:
    `query` - the query to execute
    `outputStream` - the outputstream we want to serialize in
  Throws:
    `ServiceException` - If an error occurred

### executeQueryToString

    public java.lang.String executeQueryToString(GeolocQuery query)
                                          throws ServiceException

  Description copied from interface: `IQueryProcessor`
  Execute the query and returns the results as String. It is thread safe

  Specified by:
    `executeQueryToString` in interface `IQueryProcessor<GeolocQuery>`
  Parameters:
    `query` - the query to execute
  Throws:
    `ServiceException` - If an error occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.